Request product list
This endpoint retrieves a list of products.
note
If the categories or filters query parameters are unused, the response will not contain the filters object.
HTTP Request
GET https://api.products.kameleoon.com/products
List of query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
did | String | True | Device ID. You can get this ID from the cookie KameleoonProducts_device_id, which you can retrieve from the backend before calling this endpoint. did is only required when using filters or algorithms that rely on historical device data (for exemple “Recently Viewed” or “Recommended for You”). |
sid | String | True | The temporary user session ID. You can find this ID from KameleoonProducts_session_code, which you can retrieve from the backend before calling this endpoint. sid is only required when using filters or algorithms that rely on historical user data (for exemple “Recently Viewed” or “Recommended for You”). |
shop_id | String | True | Store Key. You can find this in Recommendations > Settings > Store settings in the Kameleoon app. You can also contact your Customer Success Manager for the key. |
limit | Integer | False | Maximum number of results you want the API to return. |
page | Integer | False | Maximum number of pages you want the API to return. |
locations | Array | False | Comma separated list of locations IDs. |
brands | Array | False | Comma separated list of brands to filter. |
merchants | List of strings | False | Comma separated list of merchants to filter. |
categories | List of strings | False | Comma separated list of categories to filter. |
filters | JSON string | False | Optional escaped JSON string with filter parameters. For example: {"bluetooth":["yes"],"offers":["15% cashback"],"weight":["1.6"]} |
filters_search_by | JSON string | False | Available options for filter: name, quantity, popularity |
API response
| Name | Type | Description |
|---|---|---|
brands | Array | Array with information about brands. Each object has the following properties. |
categories | Array of objects | Array contains objects with following fields. |
filters | Array | Array with information about filters. Each object has the following properties. |
price_range | Object | Min and max price of products. Has the following properties. |
products | Array of objects | Array with information about products. Each object has the following properties. |
products_total | Integer | Total count of products. |
price_ranges | Array of objects | Objects contain fields 'to' and 'count' that represent upper limit of the price range and the number of products in range. |
price_median | Integer | Median price of products. |
List of properties for brands array
| Name | Type | Description |
|---|---|---|
name | String | Brand name. |
picture | String | Brand picture. |
count | Integer | Number of matches. |
List of fields for categories array of objects
| Name | Type | Description |
|---|---|---|
id | String | Category id. |
name | String | Category name. |
url | String | Category URL. |
url_handle | String | Path to the category. |
count | Number | Number of products belonging to the category. |
parent | String | Parent category id. |
alias | String | Alternate category name. |
List of properties for filters array
| Name | Type | Description |
|---|---|---|
filter | Object | Has the following properties. |
List of fields for filters array of objects
| Name | Type | Description |
|---|---|---|
count | Integer | Total count of products matching the selected filter(s). |
priority | Integer | Priority of the filter. |
ranges | Integer | Ranges of numbers for aggregation results. |
values | Array of objects | Array of values (object). Has the following properties. |
List of properties for values array of objects
| Name | Type | Description |
|---|---|---|
value | String | Value label. |
count | Integer | Count of products with this parameter. |
List of fields for price_range object
| Name | Type | Description |
|---|---|---|
min | Integer | Minimum price. |
max | Integer | Maximum price. |
List of fields for products array of objects
| Name | Type | Description |
|---|---|---|
brand | String | Product brand. |
currency | String | Product currency that corresponds to the currency specified in shop settings. |
id | String | Product ID. |
is_new | Boolean | Product property (NULL by default). |
name | String | Product name. |
old_price | String | Product old price (0 by default). |
price | Integer | Product price. |
price_formatted | String | Product price with currency. |
price_full_formatted | String | Product price, example: "547.67 $". |
picture | String | Product picture URL in the Kameleoon storage. |
url | String | Product URL. |
description | String | Product description. |
category_ids | Array of strings | ID of categories the product belongs to. |
fashion_feature | String | Feature of fashion category, for example "for kids" or "adult". |
fashion_gender | String | Product gender designation. |
sales_rate | Integer | Number of this product sold. |
relative_sales_rate | Integer | Relative share of sales in percent. |
image_URL | String | URL to the original image of the product. |
image_URL_handle | String | Path to the product image. |
image_URL_resized | Object | Object with keys representing the size of its image, values are paths to the image. |
_id | String | Internal id. |
group_id | String | Identifier for the group that contains products categorized together. |
barcode | String | Product barcode. |
categories | Array | Product categories (array). Has the following properties. |
List of properties for categories array
| Name | Type | Description |
|---|---|---|
id | String | Category id. |
name | String | Category name. |
parent | String | Parent category id. |
params | Array | Array with information about params. Each object has the following properties. |
List of properties for params array
| Name | Type | Description |
|---|---|---|
key | String | Param name. |
values | Array | Array of values. |